# Class: MapGuide

## ol.source.MapGuide

Source for images from Mapguide servers

#### new ol.source.MapGuide(options) experimental

src/ol/source/mapguidesource.js, line 21

  Name | Type | Description
  --- | --- | ---
  `options` | Options.
  Name | Type | Description
  --- | --- | ---
  `url` | string | undefined | optional The mapagent url.
  `displayDpi` | number | undefined | optional The display resolution. Default is `96`.
  `metersPerUnit` | number | undefined | optional The meters-per-unit value. Default is `1`.
  `extent` | ol.Extent | undefined | optional Extent.
  `hidpi` | boolean | undefined | optional Use the `ol.Map#pixelRatio` value when requesting the image from the remote server. Default is `true`.
  `useOverlay` | boolean | undefined | optional If `true`, will use `GETDYNAMICMAPOVERLAYIMAGE`.
  `projection` | ol.proj.ProjectionLike | Projection.
  `ratio` | number | undefined | optional Ratio. `1` means image requests are the size of the map viewport, `2` means twice the size of the map viewport, and so on. Default is `1`.
  `resolutions` | Array.<number> | undefined | optional Resolutions. If specified, requests will be made for these resolutions only.
  `params` | Object | undefined | optional Additional parameters.

  ##### Fires:

  - `change` experimental - Triggered when the state of the source changes.

### Extends

- ol.source.Image

### Methods

#### dispatchChangeEvent() inherited experimental

src/ol/observable.js, line 41

  Dispatches a `change` event.

  ##### Fires:

  - `change` experimental

#### getState(){ol.source.State} inherited experimental

src/ol/source/source.js, line 142

  ##### Returns:

  State.

#### on(type, listener, opt_this){goog.events.Key} inherited experimental

src/ol/observable.js, line 63

  Listen for a certain type of event.

  Name | Type | Description
  --- | --- | ---
  `type` | string | Array.<string> | The event type or array of event types.
  `listener` | function | The listener function.
  `this` | Object | optional The object to use as `this` in `listener`.

  ##### Returns:

  Unique key for the listener.

#### once(type, listener, opt_this){goog.events.Key} inherited experimental

src/ol/observable.js, line 76

  Listen once for a certain type of event.

  Name | Type | Description
  --- | --- | ---
  `type` | string | Array.<string> | The event type or array of event types.
  `listener` | function | The listener function.
  `this` | Object | optional The object to use as `this` in `listener`.

  ##### Returns:

  Unique key for the listener.

#### un(type, listener, opt_this) inherited experimental

src/ol/observable.js, line 88

  Unlisten for a certain type of event.

  Name | Type | Description
  --- | --- | ---
  `type` | string | Array.<string> | The event type or array of event types.
  `listener` | function | The listener function.
  `this` | Object | optional The object to use as `this` in `listener`.

#### unByKey(key) inherited experimental

src/ol/observable.js, line 98

  Removes an event listener using the key returned by `on()` or `once()`.

  Name | Type | Description
  --- | --- | ---
  `key` | goog.events.Key | Key.